Ionhour Docs

Teams API

Create and manage teams for group notifications and escalation targeting.

Teams group workspace members together for use as escalation targets. See Teams for conceptual documentation.

Create Team

POST /teams

Request Body

FieldTypeRequiredDescription
workspaceIdnumberYesWorkspace this team belongs to
namestringYesTeam name
descriptionstringNoTeam description

Example

curl -X POST https://api.ionhour.com/api/teams \
  -H "Authorization: Bearer ionh_your_key" \
  -H "Content-Type: application/json" \
  -d '{
    "workspaceId": 1,
    "name": "Platform Engineering",
    "description": "Responsible for core infrastructure and platform services"
  }'

List Teams

GET /teams

Query Parameters

ParameterTypeRequiredDescription
workspaceIdnumberYesFilter by workspace
curl -H "Authorization: Bearer ionh_your_key" \
  "https://api.ionhour.com/api/teams?workspaceId=1"

Get Team

GET /teams/:id

Returns a team with its members.

curl -H "Authorization: Bearer ionh_your_key" \
  https://api.ionhour.com/api/teams/1

Update Team

PUT /teams/:id
curl -X PUT https://api.ionhour.com/api/teams/1 \
  -H "Authorization: Bearer ionh_your_key" \
  -H "Content-Type: application/json" \
  -d '{"name": "SRE Team"}'

Delete Team

DELETE /teams/:id
curl -X DELETE https://api.ionhour.com/api/teams/1 \
  -H "Authorization: Bearer ionh_your_key"

Team Members

Add Member

POST /team-members
FieldTypeRequiredDescription
teamIdnumberYesTeam to add the member to
userIdnumberYesUser to add
curl -X POST https://api.ionhour.com/api/team-members \
  -H "Authorization: Bearer ionh_your_key" \
  -H "Content-Type: application/json" \
  -d '{"teamId": 1, "userId": 42}'

Remove Member

DELETE /team-members/:id
curl -X DELETE https://api.ionhour.com/api/team-members/5 \
  -H "Authorization: Bearer ionh_your_key"